********************************************************************************
*                                                                              *
*         SPSS Program to combine SPSS merged files from P16 and PL16          *
*                            PIRLS 2016 User Guide                             *
*                                                                              *
********************************************************************************.

SET MPRINT=ON .

DEFINE CMB_P16_PL16 (P16FILE  = !CHAREND('/') !DEFAULT("") /
                     PL16FILE = !CHAREND('/') !DEFAULT("") /
                     INDIR    = !CHAREND('/') !DEFAULT("") /
                     OUTDIR   = !CHAREND('/') !DEFAULT("") ) .

  ADD FILES
    / FILE = !QUOTE(!CONCAT(!UNQUOTE(!INDIR),"\",!P16FILE,".SAV"))
    / FILE = !QUOTE(!CONCAT(!UNQUOTE(!INDIR),"\",!PL16FILE,".SAV")) .

  SAVE OUTFILE = !QUOTE(!CONCAT(!UNQUOTE(!OUTDIR),"\",!P16FILE,"_CMB.SAV")) .

!ENDDEFINE .

CMB_P16_PL16 P16FILE  = <specify PIRLS 2016 file name> /
             PL16FILE = <specify PIRLS Literacy 2016 file name> /
             INDIR    = <specify location of input file using format "x:\xxx"> /
             OUTDIR   = <specify location of output file using format "x:\xxx"> .
